
// Projekt_Lukas_GermanDlg.h: Headerdatei
//

#pragma once
#include "cUnterformular.h"


// CProjektLukasGermanDlg-Dialogfeld
class CProjektLukasGermanDlg : public CDialogEx
{
// Konstruktion
public:
	CProjektLukasGermanDlg(CWnd* pParent = nullptr);	// Standardkonstruktor

// Dialogfelddaten
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_PROJEKT_LUKAS_GERMAN_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Unterstützung


// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Funktionen für die Meldungstabellen
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedButton5();
	
	//CNeu CUnterformular;
	afx_msg void OnBnClickedButton6();
	int uUnterformular;
	cUnterformular ZUnterformular;

	afx_msg void OnEnChangeEdit1();
	afx_msg void OnNMCustomdrawProgress1(NMHDR* pNMHDR, LRESULT* pResult);
	CProgressCtrl ctlProgress;
	CSliderCtrl ctlSlider;
	afx_msg void OnNMCustomdrawSlider1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnNMCustomdrawProgress(NMHDR* pNMHDR, LRESULT* pResult);
//	CButton Ladeklappe;
//	CEdit Edit_ctl;
	afx_msg void OnBnClickedCheck1();
//	Bool Check1;
//	CString Edit_ctl;
	BOOL Check2;
	void Auswertung();
	CString Ausgabe;
	afx_msg void OnBnClickedCheck2();
	BOOL Check3;
	BOOL Check4;
	BOOL Check5;
	BOOL Check6;
	BOOL Check7;
	BOOL Check8;
	BOOL Check9;
	afx_msg void OnBnClickedCheck3();
	afx_msg void OnBnClickedCheck4();
	afx_msg void OnBnClickedCheck5();
	afx_msg void OnBnClickedCheck6();
	afx_msg void OnBnClickedCheck7();
	afx_msg void OnBnClickedCheck8();
	afx_msg void OnBnClickedButton1();

	int zufall;
	int turbo;
	CString bine;
	CString Tank;
	CString licht;
	BOOL treibstoff;
	BOOL lichtschalter;


//	CButton Button1;
//	Bool ButtonA;
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton2();
	CButton Start;
	afx_msg void OnBnClickedButton7();
//	CButton Licht;
//	BOOL Licht;
};
